internal::input_types< 10, InputTuple > Struct Template Reference

`#include <_flow_graph_indexer_impl.h>`

Collaboration diagram for internal::input_types< 10, InputTuple >:

## Public Types

typedef tuple_element< 0, InputTuple >::type | first_type
typedef tuple_element< 1, InputTuple >::type | second_type
typedef tuple_element< 2, InputTuple >::type | third_type
typedef tuple_element< 3, InputTuple >::type | fourth_type
typedef tuple_element< 4, InputTuple >::type | fifth_type
typedef tuple_element< 5, InputTuple >::type | sixth_type
typedef tuple_element< 6, InputTuple >::type | seventh_type
typedef tuple_element< 7, InputTuple >::type | eighth_type
typedef tuple_element< 8, InputTuple >::type | nineth_type
typedef tuple_element< 9, InputTuple >::type | tenth_type
typedef internal::tagged_msg< size_t, first_type, second_type, third_type, fourth_type, fifth_type, sixth_type, seventh_type, eighth_type, nineth_type, tenth_type > | type

## Detailed Description

### template<typename InputTuple>
struct internal::input_types< 10, InputTuple >

Definition at line 438 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## eighth_type

template<typename InputTuple >

typedef tuple_element<7, InputTuple>::type internal::input_types< 10, InputTuple >::eighth_type

Definition at line 446 of file _flow_graph_indexer_impl.h.

## fifth_type

template<typename InputTuple >

typedef tuple_element<4, InputTuple>::type internal::input_types< 10, InputTuple >::fifth_type

Definition at line 443 of file _flow_graph_indexer_impl.h.

## first_type

template<typename InputTuple >

typedef tuple_element<0, InputTuple>::type internal::input_types< 10, InputTuple >::first_type

Definition at line 439 of file _flow_graph_indexer_impl.h.

## fourth_type

template<typename InputTuple >

typedef tuple_element<3, InputTuple>::type internal::input_types< 10, InputTuple >::fourth_type

Definition at line 442 of file _flow_graph_indexer_impl.h.

## nineth_type

template<typename InputTuple >

typedef tuple_element<8, InputTuple>::type internal::input_types< 10, InputTuple >::nineth_type

Definition at line 447 of file _flow_graph_indexer_impl.h.

## second_type

template<typename InputTuple >

typedef tuple_element<1, InputTuple>::type internal::input_types< 10, InputTuple >::second_type

Definition at line 440 of file _flow_graph_indexer_impl.h.

## seventh_type

template<typename InputTuple >

typedef tuple_element<6, InputTuple>::type internal::input_types< 10, InputTuple >::seventh_type

Definition at line 445 of file _flow_graph_indexer_impl.h.

## sixth_type

template<typename InputTuple >

typedef tuple_element<5, InputTuple>::type internal::input_types< 10, InputTuple >::sixth_type

Definition at line 444 of file _flow_graph_indexer_impl.h.

## tenth_type

template<typename InputTuple >

typedef tuple_element<9, InputTuple>::type internal::input_types< 10, InputTuple >::tenth_type

Definition at line 448 of file _flow_graph_indexer_impl.h.

## third_type

template<typename InputTuple >

typedef tuple_element<2, InputTuple>::type internal::input_types< 10, InputTuple >::third_type

Definition at line 441 of file _flow_graph_indexer_impl.h.

## type

template<typename InputTuple >

typedef internal::tagged_msg<size_t, first_type, second_type, third_type, fourth_type, fifth_type, sixth_type, seventh_type, eighth_type, nineth_type, tenth_type> internal::input_types< 10, InputTuple >::type

Definition at line 452 of file _flow_graph_indexer_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.